package cn.iocoder.yudao.module.basic.service.vendorinfo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.basic.controller.admin.vendorinfo.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.vendorinfo.VendorInfoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 供应商 Service 接口
 *
 * @author 芋道源码
 */
public interface VendorInfoService {

    /**
     * 创建供应商
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createVendorInfo(@Valid VendorInfoCreateReqVO createReqVO);

    /**
     * 更新供应商
     *
     * @param updateReqVO 更新信息
     */
    void updateVendorInfo(@Valid VendorInfoUpdateReqVO updateReqVO);

    /**
     * 删除供应商
     *
     * @param id 编号
     */
    void deleteVendorInfo(Long id);

    /**
     * 获得供应商
     *
     * @param id 编号
     * @return 供应商
     */
    VendorInfoDO getVendorInfo(Long id);

    /**
     * 获得供应商分页
     *
     * @param pageReqVO 分页查询
     * @return 供应商分页
     */
    PageResult<VendorInfoDO> getVendorInfoPage(VendorInfoPageReqVO pageReqVO);

    /**
     *查询所有供应商
     * @return
     */
    List<VendorInfoDO> getVendorInfoList();

    /**
     * 根据供应商编码获取供应商信息
     * @param vendorId
     * @return
     */
    VendorInfoDO getVendorInfoByVendorId(String vendorId);

}
